<?php
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
if( !isset( $_SESSION ) ) { session_start(); }

$cookie_prefix = "hivemind-";
$cookie_time = time()+31536000;
$template_properties = array('fontstyle','fontfamily','tstyle','mtype','mstyle','sifr','sifrfont','sidebar');
$my_session = $mainframe->_session;

foreach ($template_properties as $tprop) {
    
    if (isset($_REQUEST[$tprop])) {
	    $$tprop = mosGetParam( $_REQUEST,$tprop);
    	$my_session->set($cookie_prefix. $tprop, $$tprop);
    	$my_session->update();
    	setcookie ($cookie_prefix. $tprop, $$tprop, $cookie_time, '/', false);    
    }
}

?>
